> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a lease by ID

GET https://api.propexo.com/v1/leases/{lease_id}

Get a lease by ID

Reference: https://docs.propexo.com/api-reference/rent-manager/leases/get-a-lease-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `lease_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1LeasesLeaseIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1LeasesLeaseIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the lease
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_id` (string, optional) — The external ID from the integration vendor | Method | |---| | GET /Leases |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | |---| | GET /Leases |
- `x_unit_id` (string, optional, nullable) — The external ID of the unit from the integration vendor | Method | |---| | GET /Leases |
- `residents_meta_data` (list of V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItems, optional) — Known associated resident meta data
- `application_date` (any, optional) — The application date associated with the leaseThis field will always be null for RENTMANAGER
- `custom_data` (V1LeasesLeaseIdGetOutputResultsCustomData, optional, nullable)
- `deposit_amount` (any, optional) — The deposit amount associated with the leaseThis field will always be null for RENTMANAGER
- `deposit_amount_in_cents` (any, optional) — The deposit amount in cents associated with the leaseThis field will always be null for RENTMANAGER
- `deposit_date` (any, optional) — The deposit date associated with the leaseThis field will always be null for RENTMANAGER
- `end_date` (string, optional, nullable) — The end date associated with the lease | Method | |---| | GET /Leases |
- `rent_amount_in_cents` (any, optional) — The rent amount in cents for the leaseThis field will always be null for RENTMANAGER
- `rent_amount_market_in_cents` (any, optional) — The market rent amount in cents for the leaseThis field will always be null for RENTMANAGER
- `rent_due_day` (any, optional) — The rent due day associated with the leaseThis field will always be null for RENTMANAGER
- `rent_due_date` (any, optional) — The rent due date associated with the leaseThis field will always be null for RENTMANAGER
- `signature_date` (string, optional, nullable) — The date the lease was signedThis is the most recent signature date if there are multiple for the same lease. | Method | | ----------- | | GET /Leases |
- `start_date` (string, optional, nullable) — The start date associated with the lease | Method | |---| | GET /Leases |
- `status_normalized` (enum, optional) — The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS.Rent Manager's API does not provide direct access to lease status values. According to Rent Manager support, lease status must be calculated using the move-in and move-out dates of associated residents. Due to the computed nature of lease status data in Rent Manager, this feature is disabled by default in Propexo to ensure data accuracy. Organizations requiring derived lease status functionality for their Rent Manager integration may request activation by contacting Propexo support. | Method | | ----------- | | GET /Leases |
  - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED`
- `status_raw` (string, optional, nullable) — The raw status associated with the leaseRent Manager's API does not provide direct access to lease status values. According to Rent Manager support, lease status must be calculated using the move-in and move-out dates of associated residents. Due to the computed nature of lease status data in Rent Manager, this feature is disabled by default in Propexo to ensure data accuracy. Organizations requiring derived lease status functionality for their Rent Manager integration may request activation by contacting Propexo support. | Method | | ----------- | | GET /Leases |
- `term` (any, optional) — The lease termThis field will always be null for RENTMANAGER
- `type` (any, optional) — The type of leaseThis field will always be null for RENTMANAGER
- `unit_number` (string, optional, nullable) — The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases. | Method | |---| | GET /Leases |
- `write_off_amount_in_cents` (any, optional) — The write off amount for the lease, in centsThis field will always be null for RENTMANAGER
- `write_off_amount_raw` (any, optional) — The raw write off amount of the lease from the PMSThis field will always be null for RENTMANAGER
- `balance_amount_in_cents` (any, optional) — The balance amount for the lease, in centsThis field will always be null for RENTMANAGER
- `balance_amount_raw` (any, optional) — The raw balance amount of the lease from the PMSThis field will always be null for RENTMANAGER
- `past_due_balance_in_cents` (any, optional) — The past due balance for the lease, in centsThis field will always be null for RENTMANAGER
- `past_due_balance_raw` (any, optional) — The raw past due balance of the lease from the PMSThis field will always be null for RENTMANAGER
- `unit_id` (string, optional, nullable) — The Propexo unique identifier for the unit | Method | |---| | GET /Leases |
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `RENTMANAGER`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `services` (list of V1LeasesLeaseIdGetOutputResultsServicesItems, optional) — List of services related to the leaseThis field is not currently hydrated for RENTMANAGER
- `x_resident_id` (any, optional, deprecated) — Deprecated. Use residents\_meta\_data insteadThis field will always be null for RENTMANAGER
- `realized_move_in_date` (string, optional, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Method | |---| | GET /Leases |
- `realized_move_out_date` (string, optional, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Method | |---| | GET /Leases |
- `scheduled_move_in_date` (any, optional, deprecated) — DEPRECATED: Please use residents\_meta\_data to view resident move in datesThis field will always be null for RENTMANAGER
- `scheduled_move_out_date` (string, optional, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Method | |---| | GET /Leases |
- `status` (any, optional, deprecated) — DEPRECATED. Use status\_normalizedThis field will always be null for RENTMANAGER

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItems

- `resident_id` (string, required) — The Propexo unique identifier for the resident | Method | |---| | GET /Contacts |
- `x_resident_type` (string, required, nullable) — The external type of the resident from the integration vendor | Method | |---| | GET /Contacts |
- `resident_type_normalized` (V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItemsResidentTypeNormalized, required, nullable) — Resident type from Propexo | Method | |---| | GET /Contacts |
- `move_in_date` (string, required, nullable) — The move-in date associated with the resident | Method | |---| | GET /Contacts |
- `move_out_date` (string, required, nullable) — The move-out date associated with the resident | Method | |---| | GET /Contacts |
- `notice_date` (string, required, nullable) — The date the resident gave notice | Method | |---| | GET /Contacts |
- `custom_data` (V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItemsCustomData, required, nullable)
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS

### V1LeasesLeaseIdGetOutputResultsCustomData

### V1LeasesLeaseIdGetOutputResultsServicesItems

- `id` (string, required) — The Propexo unique identifier for the lease service
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `name` (string, required) — The name of the lease serviceThis field is not currently hydrated for RENTMANAGER
- `lease_id` (string, required) — The Propexo unique identifier for the lease

### V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItemsResidentTypeNormalized

Resident type from Propexo | Method | |---| | GET /Contacts |

### V1LeasesLeaseIdGetOutputResultsResidentsMetaDataItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "LM-2024-0001",
    "x_property_id": "PROP-1001",
    "x_unit_id": "UNIT-101A",
    "residents_meta_data": [
      {
        "resident_id": "res_8f14e45fceea167a5a36dedd4bea2543",
        "x_resident_type": "Primary Tenant",
        "resident_type_normalized": "PRIMARY",
        "move_in_date": "2024-01-15T00:00:00.000Z",
        "move_out_date": null,
        "notice_date": null,
        "custom_data": {},
        "last_seen": "2024-03-22T10:59:45.119Z"
      }
    ],
    "application_date": null,
    "custom_data": {},
    "deposit_amount": null,
    "deposit_amount_in_cents": null,
    "deposit_date": null,
    "end_date": "2024-07-01T00:00:00.000Z",
    "rent_amount_in_cents": null,
    "rent_amount_market_in_cents": null,
    "rent_due_day": null,
    "rent_due_date": null,
    "signature_date": "2024-07-01T00:00:00.000Z",
    "start_date": "2024-07-01T00:00:00.000Z",
    "status_normalized": "ACTIVE",
    "status_raw": "Active Lease",
    "term": null,
    "type": null,
    "unit_number": "101A",
    "write_off_amount_in_cents": null,
    "write_off_amount_raw": null,
    "balance_amount_in_cents": null,
    "balance_amount_raw": null,
    "past_due_balance_in_cents": null,
    "past_due_balance_raw": null,
    "unit_id": "clxkwu2m60008t3oza63zbjzp",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "RENTMANAGER",
    "services": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "name": "Water and Trash Included",
        "lease_id": "clwktsp9v000008l31iv218hn"
      }
    ],
    "x_resident_id": null,
    "realized_move_in_date": null,
    "realized_move_out_date": null,
    "scheduled_move_in_date": null,
    "scheduled_move_out_date": null,
    "status": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/lease_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/lease_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/lease_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/lease_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leases/lease_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leases/lease_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/lease_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/lease_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```